package com.tzld.piaoquan.growth.common.model.po;

import java.util.Date;

public class PushMessageCallback {
    private Long id;

    private String ghId;

    private String openId;

    private Long timestamp;

    private Integer msgType;

    private Long videoId;

    private Date createTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getGhId() {
        return ghId;
    }

    public void setGhId(String ghId) {
        this.ghId = ghId == null ? null : ghId.trim();
    }

    public String getOpenId() {
        return openId;
    }

    public void setOpenId(String openId) {
        this.openId = openId == null ? null : openId.trim();
    }

    public Long getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(Long timestamp) {
        this.timestamp = timestamp;
    }

    public Integer getMsgType() {
        return msgType;
    }

    public void setMsgType(Integer msgType) {
        this.msgType = msgType;
    }

    public Long getVideoId() {
        return videoId;
    }

    public void setVideoId(Long videoId) {
        this.videoId = videoId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Override
    public String toString() {
        return "PushMessageCallback{" +
                "id=" + id +
                ", ghId='" + ghId + '\'' +
                ", openId='" + openId + '\'' +
                ", timestamp=" + timestamp +
                ", msgType=" + msgType +
                ", videoId=" + videoId +
                ", createTime=" + createTime +
                '}';
    }
}